Qt 5.6 | Qt 3D | C++ Classes | QDepthMask

Qt 5.6.3 Reference Documentation

# QDepthMask Class

(Qt3DRender::QDepthMask)

Inherits: | QRenderState

- List of all members, including inherited members

## Properties

- mask : bool

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QDepthMask(Qt3DCore::QNode *parent = Q_NULLPTR)
| ~QDepthMask()
bool | mask() const

- 1 public function inherited from Qt3DRender::QRenderState
- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setMask(bool mask)

- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | maskChanged(bool mask)

- 2 signals inherited from Qt3DCore::QNode

## Protected Functions

void | copy(const Qt3DCore::QNode *ref)

- 3 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 static protected member inherited from Qt3DCore::QNode

## Property Documentation

### mask : bool

Access functions:

bool | mask() const
void | setMask(bool mask)

Notifier signal:

void | maskChanged(bool mask)

## Member Function Documentation

### QDepthMask::QDepthMask(Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QDepthMask.

### QDepthMask::~QDepthMask()

Destroys the instance of QDepthMask.

### `[protected]` void QDepthMask::copy(const Qt3DCore::QNode *ref)